//下面的CheckBoxTable是指遍历该table中的控件
function findControl()
{
    if(submitchecken())
    {
    var type="";
    var checkboxall=document.getElementById("CheckBoxTable").getElementsByTagName("input");      
    for (var i=0;i<checkboxall.length;i++)
    {  
        if(checkboxall[i].name=="suffix" && checkboxall[i].checked)
        {
             type=checkboxall[i].value; 
        }        
    }
    var domain=document.getElementById("SearchName").value;
    var RedirectUrl= 'search.aspx?domain='+domain+'&type='+type; 
    window.location.href=RedirectUrl;
    }       
}
//在查询英文域名时不能输入中文及非法字符！
function CheckIfEnglish( String )
{ 
    var Letters = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890-";
     var i;
     var c;
      if(String.charAt( 0 )=='-')
	return false;
      if( String.charAt( String.length - 1 ) == '-' )
          return false;
     for( i = 0; i < String.length; i ++ )
     {
          c = String.charAt( i );
	  if (Letters.indexOf( c ) < 0)
	     return false;
     }
     return true;
}
//判断输入的字符串不能为空或其他非法字符串
function submitchecken()
{    
    if (document.getElementById("SearchName").value=='') 
    {
		alert("请输入您要查询的英文域名。");
		document.getElementById("SearchName").focus();
		return false;
	}

    if (!CheckIfEnglish(document.getElementById("SearchName").value))
    {
		alert("\t注意：在查询英文域名时应输入英文不能输入中文及非法字符！\n域名由不分大小写的英文字母和数字组成，除了开头和结尾以外，中间也可以含有“-”（即连字符或称减号）最大长度为26个字符；");
		document.getElementById("SearchName").focus();
		return false;
    }
    return true;
}